imports:
  - {resource: Backend/DashboardWidgets.yaml}

services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  Drk\Template\:
    resource: '../Classes/*'

  Drk\Template\ViewHelpers\:
    resource: '../Classes/ViewHelpers/*'

  Drk\Template\Upgrades\:
    resource: '../Classes/Upgrades/*'

  Drk\Template\EventListener\AfterTemplatesHaveBeenDeterminedEventListener:
    tags:
      - name: event.listener
        identifier: 'drk_template-AfterTemplatesHaveBeenDeterminedEventListener'
        event: TYPO3\CMS\Core\TypoScript\IncludeTree\Event\AfterTemplatesHaveBeenDeterminedEvent

  Drk\Template\Command\SetSiteNameCommand:
    tags:
      - name: 'console.command'
        command: 'drktemplate:set:sitename'
        description: Sets the title lines in the site config
        schedulable: false

  Drk\Template\Command\SetStorageCommand:
    tags:
      - name: 'console.command'
        command: 'drktemplate:set:storage'
        description: Resets the config of the webservice storage
        schedulable: false

  Drk\Template\Command\CleanBeUsersCommand:
    tags:
      - name: 'console.command'
        command: 'drktemplate:clean:beusers'
        description: Removes all backend users
        schedulable: false

  Drk\Template\Command\CleanFeUsersCommand:
    tags:
      - name: 'console.command'
        command: 'drktemplate:clean:feusers'
        description: Removes all frontend users
        schedulable: false

  Drk\Template\Command\CleanDuplicateRelationsCommand:
    tags:
      - name: 'console.command'
        command: 'drktemplate:clean:duplicate-relations'
        description: Removes all frontend users
        schedulable: false
